@Echo off
title UHHDisk Netzlaufwerke permanent verbinden Erzwiss v1.8
rem Autor: RRZ (v1.0), EW-MZ (v1.1 - v1.8)
rem Datum letzte Version: 01.12.2022

REM mount persistently
set Persistence="yes"

Echo --------- Verbindung zu den UHHDisk Netzlaufwerken herstellen ---------
Echo.
Echo Dazu ist Ihre Benutzeranmeldung erforderlich.
Echo.
Set /p UHHKennung="Geben Sie Ihren UHH-Kennung ein [%UHHKennung%]: "
set "psCommand=powershell -Command "$pword = read-host 'Geben Sie das Passwort fuer Ihre UHH-Kennung (%UHHKennung%) ein' -AsSecureString ; ^
    $BSTR=[System.Runtime.InteropServices.Marshal]::SecureStringToBSTR($pword); ^
        [System.Runtime.InteropServices.Marshal]::PtrToStringAuto($BSTR)""
for /f "usebackq delims=" %%p in (`%psCommand%`) do set UHHPassword=%%p
Echo.
set BKennung=%UHHKennung%
set BPassword=%UHHPassword%
Set /p BKennung="Geben Sie Ihre B-Kennung ein [%BKennung%]: "
set "psCommand=powershell -Command "$pword = read-host 'Geben Sie das Passwort fuer Ihre B-Kennung (%BKennung%) ein' -AsSecureString ; ^
    $BSTR=[System.Runtime.InteropServices.Marshal]::SecureStringToBSTR($pword); ^
        [System.Runtime.InteropServices.Marshal]::PtrToStringAuto($BSTR)""
for /f "usebackq delims=" %%p in (`%psCommand%`) do set BPassword=%%p
Echo.
Echo Jetzt wird der Pfad zu Ihrem persoenlichen Netzwerkspeicher gebraucht.
Echo.
Echo Wie Sie diesen Pfad finden, haben wir hier beschrieben:
Echo https://www.ew.uni-hamburg.de/service/medienzentrum/2-digitale-arbeit/anleitungen/howtos/home.html
Echo.
Set /p Homeverzeichnis="Pfad [%Homeverzeichnis%]: "
Echo.

REM OES Drives
net use L: \\vsf4.nds.uni-hamburg.de\f4vol\Erzwiss /persistent:%Persistence% /User:%UHHKennung% %UHHPassword% > nul 2>&1
IF not exist L:\ (
  GoTo ERROR
) ELSE (
  Echo Laufwerk L: [Erzwiss] verbunden
  cmdkey /add:vsf4.nds.uni-hamburg.de /user:%UHHKennung% /pass:%UHHPassword% > nul 2>&1
)

REM net use M: \\vsf4.nds.uni-hamburg.de\f4vol\Dekanat /persistent:%Persistence% /User:%UHHKennung% %UHHPassword% > nul 2>&1
REM IF not exist M:\ (GoTo ERROR) ELSE (Echo Laufwerk M: [Dekanat] verbunden)

REM AD-DFS Drives
net use Z: \\uhhdisk.uni-hamburg.de\daten /persistent:%Persistence% /User:%BKennung%@uni-hamburg.de %BPassword% > nul 2>&1
IF not exist Z:\ (
  GoTo ERROR
) ELSE (
  Echo Laufwerk Z: [DATEN] verbunden
  cmdkey /add:uhhdisk.uni-hamburg.de /user:%BKennung%@uni-hamburg.de /pass:%BPassword% > nul 2>&1
)

REM net use K: \\uhhdisk.uni-hamburg.de\home\vol1004\%UHHKennung% /persistent:%Persistence% /User:%BKennung%@uni-hamburg.de %BPassword% > nul 2>&1
net use K: %Homeverzeichnis% /persistent:%Persistence% /User:%BKennung%@uni-hamburg.de %BPassword% > nul 2>&1
If not exist K:\ (GoTo NEXT) ELSE (Echo Laufwerk K: [%UHHKennung%] verbunden)
Goto End

:NEXT
net use K: \\uhhdisk.uni-hamburg.de\home /persistent:%Persistence% /User:%BKennung%@uni-hamburg.de %BPassword% > nul 2>&1
IF exist K:\ (Echo Laufwerk K: [HOME] verbunden)
Goto End

:ERROR
Echo Ein Fehler trat waehrend der Netzverbindung auf. Bitte stellen Sie sicher, dass Sie mit dem UHH-Netz verbunden sind (z.B. ueber VPN) und die richtige Kennung und Passwort eingegeben haben.
timeout /T 10
Goto End2

:End
Echo.
Echo Netzwerkspeicher wurde verbunden.
timeout /T 5

:End2
